Subject: Re: bug#47388: 27.1; eldoc-documentation-function is ignore in updated eldoc

From: João Távora <[email-masked]>
Date: Fri, 26 Mar 2021 20:34:16 +0000

On Fri, Mar 26, 2021 at 8:24 PM Alex Branham <[email-masked]> wrote:

> Because then we modify el-doc-functions because of the newer version of
> eldoc loaded.
>
> But the ignore value of el-doc-function prevents eldoc from working
>
> Hopefully that helps, sorry for the brevity am on phone
>

Ah, I get it, so ess-mode does something different.  Then
maybe it should also set eldoc-documentation-strategy
to something sensible.  Eldoc-documentation-strategy is
just the new name of eldoc-documentation-function.
If you find an `ignore` there, you're safe to change it
, buffer-locally, as you did before.  Maybe you should
even do it even if you _don't_ find an ignore there.
The fact that it's now defcustom doesn't change much
in my opinion, I don't see defcustom's as off-limits to major/minor
modes, as long as the user is still given override power
in the mode hooks.

Alternatively, ess-mode should just use the old interface.
It's still available and functional.

But I think you should select a strategy that suits `ess-mode`'s
functions.

Hope this helps,
João